0

Error while deploying the flexipage in 21 sandbox ,, it is working fine by retrieving from the VS code Kindly help

error: Property 'itemInstances' not valid in version 46.0 
8
  • Im pretty sure you need to change your API to v49 for itemInstances.
    – TSmith
    Sep 29, 2020 at 11:50
  • I guess it's a version issue, try to retrieve using version 49 if you are retrieving from Summer 20 if you are retrieving from Winter 21 try with 50 version Sep 29, 2020 at 11:50
  • How to change it can you help me out ??
    – timojhi
    Sep 29, 2020 at 11:51
  • I am just deploying from my VS code
    – timojhi
    Sep 29, 2020 at 11:52
  • If you are retrieving using package.xml then at the end you have version tag like <version>49.0</version> Sep 29, 2020 at 11:52

1 Answer 1

1

You didn't specify details of exactly how you retrieved and deployed the file. But it sounds like you retrieved with a newer API version (itemInstances was introduced in API 49) and deployed with an older API version (46.0). This would definitely cause an error.

1
  • can you please help me out how to fix this issue..i am not getting the root cause
    – timojhi
    Sep 29, 2020 at 12:04

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .